Search
K
lodgement v1

Lodgement

v1OAS 3.0

This API product gives all the possible functionalities we can perform on lodgement like case summary, document upload/download, and application attribute updates

API Base URL
  • Server 1:https://api.pexa.co.uk

    API Gateway URL

Security
oauth2 (oauth2)

Client Credentials OAuth Flow

Token URL: https://login.pexauk.co.uk/oauth/token

Scopes:

  • x-api:create:attachments - Create access to the attachments
  • x-api:add:workspace_files - Add access to the workspace files
  • view:title_documents - View access to the title documents
  • x-api:view:documents - View access to the documents
  • x-api:approve:lodgement_applications - Approve access to lodgement applications
  • x-api:unapprove:lodgement_applications - Unapprove access to lodgement applications
  • x-api:submit:lodgement_applications - Submit access to lodgement applications
  • x-api:add:lodgement_titles - Add titles to lodgementCase
  • view:lodgement_cases - View lodgement cases
  • view:lodgement_documents - View lodgement documents
  • add:lodgement_files - Add access to the lodgement files
  • view:lodgement_files - View access to the lodgement files
  • submit:lodgement_applications - Submit access to the lodgement applications
  • view:workspaces - View access to the workspaces

Upload Document

This API is used to upload documents to workspace such as offer document as well as upload & attach a document to the lodgement application associated to the workspace, such as a mortgage deed.

Note: In the event of eDeed please update mortgageDeedReference and mortgageDeedReferenceType using Update Lodgement Application Attribute before uploading

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/files

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

multipart/form-data
filestringrequired

Allowed format: [PDF]

Example:sample_document.pdf

documentTypestringrequired

Allowed values: [MORTGAGE_DEED,
TR1,
RX3,
BIRTH_CERTIFICATE,
CORRESPONDENCE,
EVIDENCE,
IDENTITY_EVIDENCE,
IDENTITY_FORM,
MARRIAGE_CERTIFICATE,
STATEMENT_OF_TRUTH,
STATUTORY_DECLARATION,
MORTGAGE_OFFER,
REDEMPTION_STATEMENT,
PG82_CERTIFICATE,
COMPANIES_HOUSE_CERTIFICATE,
COMPANIES_HOUSE_EVIDENCE,
LAND_TRANSACTION_TAX,
STAMP_DUTY_LAND_TAX]

Example:MORTGAGE_DEED

applicationIdstring(uuid)

To attach the uploaded document to a specific application, the corresponding Application ID must be provided. This value is not required when uploading a document to Workspace without having to attach to an application.

Example:123e4567-e89b-12d3-a456-426614174000

documentCategorystringrequired

Allowed values: [APPLICATION_DOCUMENT,
SUPPORTING_DOCUMENT,
WORKSPACE_SUPPORTING_DOCUMENT]

Example:APPLICATION_DOCUMENT

certificationTypestring

Allowed values: [CERTIFIED, ORIGINAL, SCANNED]

Match pattern:(CERTIFIED|ORIGINAL|SCANNED)

Example:CERTIFIED

Response

application/json

ACCEPTED

fileIdstring(uuid)required
post/partner/api/platformconnect/v1/workspaces/{workspace_id}/files

Body

{ "file": "sample_document.pdf", "documentType": "MORTGAGE_DEED", "documentCategory": "APPLICATION_DOCUMENT" }
 
application/json

Download Lodgement Document - PDF

This API is used to download document content in PDF format from an existing workspace

get
https://api.pexa.co.uk/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/documents

Query Parameters

document_typestringrequired

Document type Allowed Values: [‘TITLE_INFORMATION_DOCUMENT’, ‘EARLY_COMPLETION_TITLE_INFORMATION_DOCUMENT’]

Path Parameters

lodgement_case_idstring(uuid)required

Lodgement case id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Response

application/octet-stream

OK

string
get/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/documents
 
application/octet-stream